#文件中心
server:
  port: 8017
  servlet:
    #上下文统一使用api,屏蔽前端路径差异
    context-path: /api

#mqtt
mqtt:
  url: tcp://1.95.170.86:1883
  userName: admin
  passWord: zzkj688737
  timeout: 5000
  keepAlive: 60


#主题 todo
topic:
  cloudFileRequest: +/cloud/+/file/request
  cloudFileResponse: +/cloud/+/file/response
  edgeFileResponse: +/device/+/file/response
  edgeFileRequest: +/device/+/file/request

  cloudControlRequest: +/cloud/+/control/request
  edgeControlResponse: +/device/+/control/response

#路径 todo 先再本地
path:
  local: /opt/file_center
  #下发文件路径
  copy: /opt/file_copy
  #天气ip2region.db路径
  weather: /opt/ip2region.db
  chartPath: /opt/image/

#指定字节大小
size:
  byteSize: 102400


#通用文件
files:
  upload:
    path: D:\upload
  format: .jpg,.png,.doc,.docx,.xlsx,.xls,.pdf
  maxByte: 10485760

#swagger2配置
swagger2:
  enable: true #开启标志 生产环境要关闭
  projectName: 云平台-文件中心-接口
  controllerPath: com.ho.filecenter.controller

spring:
  jackson:
    time-zone: GMT+8
  application:
    name: file-center
  cloud:
    nacos:
      discovery:
        server-addr: 127.0.0.1:8848
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://1.95.170.86:3306/file_center_db?useUnicode=true&characterEncoding=utf-8&serverTimezone=Asia/Shanghai&allowMultiQueries=true
    username: file_center_db
    password: zzkj@688737
    druid:
      initialSize: 5
      minIdle: 5
      maxActive: 5
      keepAlive: true #保持长连接
      connection-error-retry-attempts: 3
  #设备文件上传大小
  servlet:
    multipart:
      max-file-size:  500MB
      max-request-size: 500MB
      enabled: true
  #Redis
  redis:
    port: 6379 #端口
    timeout: 3000ms #连接超时
    host: 1.95.170.86 #单机
    password: 123456
    database: 0
    lettuce:
      pool:
        max-active: 8 #连接池最大连接  默认8
        max-idle: 8 #连接池中最大空闲连接 默认8
        min-idle: 1 #连接池中最小空闲连接 默认0
        max-wait: 2000ms #连接池最大阻塞等待时间 使用负值表示没有限制

minio:
  accessKey: minioadmin
  secretKey: minioadmin
  endpoint: http://1.95.170.86:9000
  prefixUrl: http://1.95.170.86:9000

